## com.imcode.imcms.mapping
Class Mapper<E extends Mapper.MapperObject>

    java.lang.Object
      com.imcode.imcms.mapping.Mapper<E>

Direct Known Subclasses:
  ProfileMapper

    public abstract class Mapper<E extends Mapper.MapperObject>

extends java.lang.Object

Nested Class Summary
`static interface` `Mapper.MapperObject`

Constructor Summary
`protected` `Mapper(com.imcode.db.Database database)`

Method Summary
`protected abstract E` `convertRow(java.sql.ResultSet rs)`
`E` `create(E e)`
`void` `delete(java.lang.Object id)`
`E` `get(java.lang.Object id)`
`java.util.List<E>` `getAll()`
`protected java.util.List<E>` `getAll(java.lang.String where, java.lang.String orderBy)`
`protected abstract java.util.List<java.lang.String>` `getDataColumnNames()`
`protected abstract java.lang.Object[][]` `getDataValues(E e)`
`protected java.lang.String` `getDefaultOrderBy()`
`protected abstract java.lang.String` `getIdColumnName()`
`protected abstract java.lang.String` `getTableName()`
`void` `update(E e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mapper

    protected Mapper(com.imcode.db.Database database)

Method Detail

### get

    public E get(java.lang.Object id)

### getAll

    public java.util.List<E> getAll()

### getAll

    protected java.util.List<E> getAll(java.lang.String where,
                                       java.lang.String orderBy)

### create

    public E create(E e)

### delete

    public void delete(java.lang.Object id)

### update

    public void update(E e)

### getTableName

    protected abstract java.lang.String getTableName()

### getIdColumnName

    protected abstract java.lang.String getIdColumnName()

### getDataColumnNames

    protected abstract java.util.List<java.lang.String> getDataColumnNames()

### convertRow

    protected abstract E convertRow(java.sql.ResultSet rs)
                                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDataValues

    protected abstract java.lang.Object[][] getDataValues(E e)

### getDefaultOrderBy

    protected java.lang.String getDefaultOrderBy()